UHardwareGpsAGpsRefLocationCellID Struct Reference

Describes a cell ID as understood by the GPS chipset. More...

`#include <gps.h>`

Collaboration diagram for UHardwareGpsAGpsRefLocationCellID:

## Data Fields

uint16_t | type
uint16_t | mcc
uint16_t | mnc
uint16_t | lac
uint32_t | cid

## Detailed Description

Describes a cell ID as understood by the GPS chipset.

Definition at line 315 of file gps.h.

## Field Documentation

uint32_t UHardwareGpsAGpsRefLocationCellID::cid

The actual cell id.

Definition at line 329 of file gps.h.

uint16_t UHardwareGpsAGpsRefLocationCellID::lac

Location area code.

Definition at line 327 of file gps.h.

uint16_t UHardwareGpsAGpsRefLocationCellID::mcc

Mobile country code.

Definition at line 323 of file gps.h.

uint16_t UHardwareGpsAGpsRefLocationCellID::mnc

Mobile network code.

Definition at line 325 of file gps.h.

uint16_t UHardwareGpsAGpsRefLocationCellID::type

One of: U_HARDWARE_GPS_AGPS_REF_LOCATION_TYPE_GSM_CELLID U_HARDWARE_GPS_AGPS_REF_LOCATION_TYPE_UMTS_CELLID

Definition at line 321 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h